"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScteFilter = exports.PresetSpeke20Video = exports.PresetSpeke20Audio = exports.DrmSystem = exports.TsEncryptionMethod = exports.CmafEncryptionMethod = exports.ContainerType = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.ResourceTypeNotFound = exports.ValidationException = exports.ValidationExceptionType = exports.ThrottlingException = exports.InternalServerException = exports.ConflictException = exports.ConflictExceptionType = exports.AdMarkerHls = exports.AccessDeniedException = void 0;
const MediaPackageV2ServiceException_1 = require("./MediaPackageV2ServiceException");
class AccessDeniedException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessDeniedException = AccessDeniedException;
exports.AdMarkerHls = {
    DATERANGE: "DATERANGE",
};
exports.ConflictExceptionType = {
    CONFLICTING_OPERATION: "CONFLICTING_OPERATION",
    IDEMPOTENT_PARAMETER_MISMATCH: "IDEMPOTENT_PARAMETER_MISMATCH",
    RESOURCE_ALREADY_EXISTS: "RESOURCE_ALREADY_EXISTS",
    RESOURCE_IN_USE: "RESOURCE_IN_USE",
};
class ConflictException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
        this.ConflictExceptionType = opts.ConflictExceptionType;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServerException = InternalServerException;
class ThrottlingException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
    }
}
exports.ThrottlingException = ThrottlingException;
exports.ValidationExceptionType = {
    CENC_IV_INCOMPATIBLE: "CENC_IV_INCOMPATIBLE",
    CONTAINER_TYPE_IMMUTABLE: "CONTAINER_TYPE_IMMUTABLE",
    DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE: "DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE",
    ENCRYPTION_CONTRACT_SHARED: "ENCRYPTION_CONTRACT_SHARED",
    ENCRYPTION_CONTRACT_UNENCRYPTED: "ENCRYPTION_CONTRACT_UNENCRYPTED",
    ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE: "ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE",
    ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH: "ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH",
    INVALID_PAGINATION_MAX_RESULTS: "INVALID_PAGINATION_MAX_RESULTS",
    INVALID_PAGINATION_TOKEN: "INVALID_PAGINATION_TOKEN",
    INVALID_POLICY: "INVALID_POLICY",
    INVALID_ROLE_ARN: "INVALID_ROLE_ARN",
    MANIFEST_NAME_COLLISION: "MANIFEST_NAME_COLLISION",
    MEMBER_DOES_NOT_MATCH_PATTERN: "MEMBER_DOES_NOT_MATCH_PATTERN",
    MEMBER_INVALID: "MEMBER_INVALID",
    MEMBER_INVALID_ENUM_VALUE: "MEMBER_INVALID_ENUM_VALUE",
    MEMBER_MAX_LENGTH: "MEMBER_MAX_LENGTH",
    MEMBER_MAX_VALUE: "MEMBER_MAX_VALUE",
    MEMBER_MIN_LENGTH: "MEMBER_MIN_LENGTH",
    MEMBER_MIN_VALUE: "MEMBER_MIN_VALUE",
    MEMBER_MISSING: "MEMBER_MISSING",
    NUM_MANIFESTS_HIGH: "NUM_MANIFESTS_HIGH",
    NUM_MANIFESTS_LOW: "NUM_MANIFESTS_LOW",
    ROLE_ARN_INVALID_FORMAT: "ROLE_ARN_INVALID_FORMAT",
    ROLE_ARN_LENGTH_OUT_OF_RANGE: "ROLE_ARN_LENGTH_OUT_OF_RANGE",
    ROLE_ARN_NOT_ASSUMABLE: "ROLE_ARN_NOT_ASSUMABLE",
    URL_INVALID: "URL_INVALID",
    URL_LINK_LOCAL_ADDRESS: "URL_LINK_LOCAL_ADDRESS",
    URL_LOCAL_ADDRESS: "URL_LOCAL_ADDRESS",
    URL_LOOPBACK_ADDRESS: "URL_LOOPBACK_ADDRESS",
    URL_MULTICAST_ADDRESS: "URL_MULTICAST_ADDRESS",
    URL_PORT: "URL_PORT",
    URL_SCHEME: "URL_SCHEME",
    URL_UNKNOWN_HOST: "URL_UNKNOWN_HOST",
    URL_USER_INFO: "URL_USER_INFO",
};
class ValidationException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
        this.ValidationExceptionType = opts.ValidationExceptionType;
    }
}
exports.ValidationException = ValidationException;
exports.ResourceTypeNotFound = {
    CHANNEL: "CHANNEL",
    CHANNEL_GROUP: "CHANNEL_GROUP",
    ORIGIN_ENDPOINT: "ORIGIN_ENDPOINT",
};
class ResourceNotFoundException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceTypeNotFound = opts.ResourceTypeNotFound;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends MediaPackageV2ServiceException_1.MediaPackageV2ServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
exports.ContainerType = {
    CMAF: "CMAF",
    TS: "TS",
};
exports.CmafEncryptionMethod = {
    CBCS: "CBCS",
    CENC: "CENC",
};
exports.TsEncryptionMethod = {
    AES_128: "AES_128",
    SAMPLE_AES: "SAMPLE_AES",
};
exports.DrmSystem = {
    CLEAR_KEY_AES_128: "CLEAR_KEY_AES_128",
    FAIRPLAY: "FAIRPLAY",
    PLAYREADY: "PLAYREADY",
    WIDEVINE: "WIDEVINE",
};
exports.PresetSpeke20Audio = {
    PRESET_AUDIO_1: "PRESET_AUDIO_1",
    PRESET_AUDIO_2: "PRESET_AUDIO_2",
    PRESET_AUDIO_3: "PRESET_AUDIO_3",
    SHARED: "SHARED",
    UNENCRYPTED: "UNENCRYPTED",
};
exports.PresetSpeke20Video = {
    PRESET_VIDEO_1: "PRESET_VIDEO_1",
    PRESET_VIDEO_2: "PRESET_VIDEO_2",
    PRESET_VIDEO_3: "PRESET_VIDEO_3",
    PRESET_VIDEO_4: "PRESET_VIDEO_4",
    PRESET_VIDEO_5: "PRESET_VIDEO_5",
    PRESET_VIDEO_6: "PRESET_VIDEO_6",
    PRESET_VIDEO_7: "PRESET_VIDEO_7",
    PRESET_VIDEO_8: "PRESET_VIDEO_8",
    SHARED: "SHARED",
    UNENCRYPTED: "UNENCRYPTED",
};
exports.ScteFilter = {
    BREAK: "BREAK",
    DISTRIBUTOR_ADVERTISEMENT: "DISTRIBUTOR_ADVERTISEMENT",
    DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY",
    DISTRIBUTOR_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_PLACEMENT_OPPORTUNITY",
    PROGRAM: "PROGRAM",
    PROVIDER_ADVERTISEMENT: "PROVIDER_ADVERTISEMENT",
    PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY: "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY",
    PROVIDER_PLACEMENT_OPPORTUNITY: "PROVIDER_PLACEMENT_OPPORTUNITY",
    SPLICE_INSERT: "SPLICE_INSERT",
};
